Bug 1561766 - AttributeError: 'NoneType' object has no attribute 'name' (after hitting 'rescan disks')
Summary: AttributeError: 'NoneType' object has no attribute 'name' (after hitting 'res...
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3d9ef2908c666ec9132fee9d7a8...
Keywords: Reopened
: 1549180 1574441 1575592 1577308 1597041 1597047 1600739 1609146 1622215 1625600 1636642 1636643 (view as bug list)
Depends On:
Blocks: F28FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2018-03-28 21:19 UTC by satellitgo
Modified: 2018-10-06 06:15 UTC (History)
26 users (show)

Fixed In Version: anaconda-29.20-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-28 21:19:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.79 MB, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: anaconda.log (13.88 KB, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: dbus.log (5.58 KB, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: environ (684 bytes, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: journalctl (219.44 KB, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: lsblk_output (3.22 KB, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: lvm.log (978.30 KB, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: nmcli_dev_list (2.57 KB, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: os_info (529 bytes, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: program.log (135.13 KB, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: storage.log (391.78 KB, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
File: ifcfg.log (4.14 KB, text/plain)
2018-03-28 21:19 UTC, satellitgo
no flags Details
install error with liveinst (772.63 KB, image/jpeg)
2018-09-19 20:02 UTC, satellitgo
no flags Details

Description satellitgo 2018-03-28 21:19:24 UTC
Description of problem:
FMW usb liveinst of Biosboot of f28 bwta 1.1 KDE live with rescan disks selected for added ext usb HD


Version-Release number of selected component:
anaconda-core-28.22.2-7.fc28.x86_64

The following was filed automatically by anaconda:
anaconda 28.22.2 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 1728, in _mark_protected_device
    if device.name in self.protected_dev_names:
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 1682, in reset
    self._mark_protected_device(dev)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 2186, in storage_initialize
    storage.reset()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)
AttributeError: 'NoneType' object has no attribute 'name'

Additional info:
addons:         com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-KDE-Live-28_B-1-1 rd.live.image quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.0-0.rc4.git0.1.fc28.x86_64
other involved packages: python3-blivet-3.0.0-0.6.b1.fc28.noarch, python3-libs-3.6.4-16.fc28.x86_64
product:        Fedora
release:        Fedora release 28 (Twenty Eight)
type:           anaconda
version:        28

This is a private, duplicate bug report of bug 1524700. The report has been created because Bugzilla cannot grant access to a comment for a specific group.

Comment 1 satellitgo 2018-03-28 21:19:31 UTC
Created attachment 1414379 [details]
File: anaconda-tb

Comment 2 satellitgo 2018-03-28 21:19:32 UTC
Created attachment 1414380 [details]
File: anaconda.log

Comment 3 satellitgo 2018-03-28 21:19:33 UTC
Created attachment 1414381 [details]
File: dbus.log

Comment 4 satellitgo 2018-03-28 21:19:34 UTC
Created attachment 1414382 [details]
File: environ

Comment 5 satellitgo 2018-03-28 21:19:36 UTC
Created attachment 1414383 [details]
File: journalctl

Comment 6 satellitgo 2018-03-28 21:19:37 UTC
Created attachment 1414384 [details]
File: lsblk_output

Comment 7 satellitgo 2018-03-28 21:19:39 UTC
Created attachment 1414385 [details]
File: lvm.log

Comment 8 satellitgo 2018-03-28 21:19:40 UTC
Created attachment 1414386 [details]
File: nmcli_dev_list

Comment 9 satellitgo 2018-03-28 21:19:41 UTC
Created attachment 1414387 [details]
File: os_info

Comment 10 satellitgo 2018-03-28 21:19:43 UTC
Created attachment 1414388 [details]
File: program.log

Comment 11 satellitgo 2018-03-28 21:19:45 UTC
Created attachment 1414389 [details]
File: storage.log

Comment 12 satellitgo 2018-03-28 21:19:46 UTC
Created attachment 1414390 [details]
File: ifcfg.log

Comment 13 satellitgo 2018-03-28 21:19:47 UTC

*** This bug has been marked as a duplicate of bug 1524700 ***

Comment 14 Adam Williamson 2018-03-28 21:48:21 UTC
I don't think this is really a dupe of 1524700 , if you have to hit 'rescan disks' to trigger it.

Comment 15 František Zatloukal 2018-04-24 14:12:00 UTC
Similar problem has been detected:

Anaconda crashes after clicking on "Refresh" and then "Rescan Disks" button in Installation Destination menu (where you set up partitions for installation).

It doesn`t crash if you don`t actually change anything, but if you do and then try to rescan disks, it will crash.

addons:         com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-28-20180423-n-0 rd.live.image quiet
hashmarkername: anaconda
kernel:         4.16.2-300.fc28.x86_64
other involved packages: python3-libs-3.6.5-1.fc28.x86_64, python3-blivet-3.0.0-0.6.1.b1.fc28.noarch
package:        anaconda-core-28.22.8-1.fc28.x86_64
packaging.log:  
product:        Fedora
reason:         AttributeError: 'NoneType' object has no attribute 'name'
release:        Fedora release 28 (Twenty Eight)
version:        28

Comment 16 Fedora Blocker Bugs Application 2018-04-24 14:24:26 UTC
Proposed as a Blocker for 28-final by Fedora user frantisekz using the blocker tracking app because:

 Anaconda shouldn't crash; this is impossible to fix after release. 

Appropriate criterion could be https://fedoraproject.org/wiki/Fedora_28_Beta_Release_Criteria#Custom_partitioning .

Comment 17 Adam Williamson 2018-04-24 15:06:33 UTC
-1 if it involves hitting "Rescan Disks", that button's label should be "Please Do Things That Are A Really Bad Idea And Very Likely Crash My System".

Comment 18 Kamil Páral 2018-04-25 08:57:03 UTC
The blocker bug app doesn't see this bug because it's private. Satellit, can we switch this to public?

Comment 19 Stephen Gallagher 2018-04-25 16:19:39 UTC
Yeah, if this can only be hit by "rescan disks", I'm -1 blocker as well.

Comment 20 Sundeep Anand 2018-05-03 10:50:23 UTC
*** Bug 1574441 has been marked as a duplicate of this bug. ***

Comment 21 Jon Richter 2018-05-11 16:48:15 UTC
*** Bug 1577308 has been marked as a duplicate of this bug. ***

Comment 22 Vula Nyoni 2018-07-01 20:15:59 UTC
*** Bug 1597041 has been marked as a duplicate of this bug. ***

Comment 23 Michael Miller 2018-07-01 21:11:28 UTC
*** Bug 1597047 has been marked as a duplicate of this bug. ***

Comment 24 Jiri Konecny 2018-07-16 15:44:14 UTC
*** Bug 1600739 has been marked as a duplicate of this bug. ***

Comment 25 Jiri Konecny 2018-07-16 15:44:22 UTC
*** Bug 1575592 has been marked as a duplicate of this bug. ***

Comment 26 Jiri Konecny 2018-07-16 15:44:57 UTC
*** Bug 1549180 has been marked as a duplicate of this bug. ***

Comment 27 Vendula Poncova 2018-07-17 10:37:23 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1534

Comment 28 Tyrone Fernandes 2018-07-27 06:48:26 UTC
*** Bug 1609146 has been marked as a duplicate of this bug. ***

Comment 29 Vendula Poncova 2018-08-27 14:43:00 UTC
*** Bug 1622215 has been marked as a duplicate of this bug. ***

Comment 30 zimon 2018-09-05 10:37:03 UTC
*** Bug 1625600 has been marked as a duplicate of this bug. ***

Comment 31 igiwatson 2018-09-14 19:04:21 UTC
Similar problem has been detected:

anaconda install, rescan disk to look for missing raid1 disk.

addons:         com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-KDE-Live-28-1-1 rd.live.image quiet
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.x86_64
other involved packages: python3-blivet-3.0.0-0.6.1.b1.fc28.noarch, python3-libs-3.6.5-1.fc28.x86_64
package:        anaconda-core-28.22.10-1.fc28.x86_64
packaging.log:  
product:        Fedora
reason:         AttributeError: 'NoneType' object has no attribute 'name'
release:        Fedora release 28 (Twenty Eight)
version:        28

Comment 32 satellitgo 2018-09-19 19:59:38 UTC
seen in fedora mediawriter USB trying to install of f29 beta 4.4 to external usb harddrive

Comment 33 satellitgo 2018-09-19 20:02 UTC
Created attachment 1484908 [details]
install error with liveinst

Comment 34 Adam Williamson 2018-09-19 20:11:17 UTC
That looks like a Python interpreter crash, not an exception. Why did you think it's the same as this bug? Did you see the error from this bug somewhere else?

Comment 36 tapasmishra359 2018-10-06 06:12:47 UTC
*** Bug 1636642 has been marked as a duplicate of this bug. ***

Comment 37 tapasmishra359 2018-10-06 06:15:37 UTC
*** Bug 1636643 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.